# std::ctype_base Struct Reference

Inheritance diagram for std::ctype_base:

List of all members.

## Detailed Description

Definition at line 45 of file ctype_base.h.

## Public Types

- typedef const int * __to_type
- typedef unsigned short mask

## Static Public Attributes

- static const mask alnum
- static const mask alpha
- static const mask cntrl
- static const mask digit
- static const mask graph
- static const mask lower
- static const mask print
- static const mask punct
- static const mask space
- static const mask upper
- static const mask xdigit

The documentation for this struct was generated from the following file:

- ctype_base.h